Bug 1823676 - New controllers should report their statuses
Summary: New controllers should report their statuses
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Image Registry
Version: 4.5
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
: 4.5.0
Assignee: Oleg Bulatov
QA Contact: Wenjing Zheng
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-04-14 09:06 UTC by Oleg Bulatov
Modified: 2020-07-13 17:27 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Cause: only config.imageregistry conditions are propagated to the clusteroperator object Consequence: conditions from other controllers are not visible via clusteroperator Fix: add conditions for other controllers and aggregate them Result: the clusteroperator object represents all controllers of the operator
Clone Of:
Environment:
Last Closed: 2020-07-13 17:27:23 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift cluster-image-registry-operator pull 542 0 None closed Bug 1823676: Update relatedObjects and add operator starter (refactoring) 2021-02-21 01:01:33 UTC
Github openshift cluster-image-registry-operator pull 557 0 None closed Bug 1823676: Aggregate conditions from all controllers 2021-02-21 01:01:33 UTC
Red Hat Product Errata RHBA-2020:2409 0 None None None 2020-07-13 17:27:45 UTC

Comment 4 Oleg Bulatov 2020-05-26 18:10:05 UTC
How to test it:

1. the config.imageregistry/cluster should have more conditions with name "...Degraded"

2. edit imagepruner and use invalid schedule "foo" or "* * *"; imagepruner should have a degraded condition, clusteroperator/image-registry should be Degraded.

Comment 5 Wenjing Zheng 2020-05-27 03:09:15 UTC
ImagePrunerDegraded appears if set invalid schedule "foo" or "* * *" to imagepruners config with 4.5.0-0.nightly-2020-05-26-224432:

Status:
  Conditions:
    Last Transition Time:  2020-05-27T01:54:12Z
    Message:               Available: The registry is ready
ImagePrunerAvailable: Pruner CronJob has been created
    Reason:                Ready
    Status:                True
    Type:                  Available
    Last Transition Time:  2020-05-27T02:58:35Z
    Message:               Progressing: The registry is ready
    Reason:                Ready
    Status:                False
    Type:                  Progressing
    Last Transition Time:  2020-05-27T03:03:57Z
    Message:               ImagePrunerDegraded: Error: unable to apply objects: failed to update object *v1beta1.CronJob, Namespace=openshift-image-registry, Name=image-pruner: CronJob.batch "image-pruner" is invalid: spec.schedule: Invalid value: "foo": Expected exactly 5 fields, found 1: foo
    Reason:                ImagePrunerSyncError
    Status:                True
    Type:                  Degraded

Comment 6 errata-xmlrpc 2020-07-13 17:27:23 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:2409


Note You need to log in before you can comment on or make changes to this bug.